--this code will create the running animation character
local anim_char = require 'anim8'
----a posiçao do eixo x sera alterada em tempo de execuçao, pois o personagem correra por nesse eixo
local posX = 100 
--essa variavel servira pra inverter a imagem
local direction = true 



function love.load()
  img = love.graphics.newImage('character/sprites.png')
  --essa varivel definira o grid de espaço se animação do personagem
  local grid = anim_char.newGrid(86, 109, img:getWidth(), img:getHeight())
  --o termo 1-7 representa o tanto de sprites que tem um uma linha do grid, e o segundo representa a linha do sprite
  animation = anim_char.newAnimation(grid('1-7',  1, '1-7', 2, '1-7', 3, '1-6', 4), 0.09)
end

function love.update(dt)
  --movimentos para a esquerda
  if love.keyboard.isDown('left') then
    posX = posX - 150 * dt
    direcao = false
    animation: update(dt)
  end
  --movimentos pra direita
  if love.keyboard.isDown then
    posX = posX + 150 * dt
    direcao = true
    animation: update(dt)
  end
  
  
end


function love.draw()
  love.graphics.setBackgroundColor(255, 255, 255)
  --as animaçoes serao desenhadas de acordo com a direcao, como esta escrito a seguir
  --aqui ele cria uma flag pra cada direcao, pois se for true=direita, false=esquerda
  if direcao then
    --aqui os parametros sao os mesmos para quando desenhamos imagens como:arquivo, posx, posy, rotaçao(2x), larg, altu,
    animation:draw(imagem, posX, 50, 0, 1, 1, 43, 0)
  elseif not direcao then
     --aqui a unica mudança e 
    animation:draw(imagem, posX, 50, 0, -1, 1, 43, 0)
     --este 65.5 garantira que o ponto-pivo ficara no meio da figura, pois ela tem 131 de largura.
  end
end
